return {
	-- syntax highlighting
	"nvim-treesitter/nvim-treesitter",
	build = ":TSUpdate",
	config = function()
		require("nvim-treesitter.configs").setup({
			ensure_installed = {
				"bash",
				"c",
				"cpp",
				"hyprlang",
                "java",
				"javascript",
				"json",
				"lua",
				"python",
                "rust",
				"typescript",
                "verilog"
			},
			sync_install = false,

			highlight = {
				enable = true,
                disable = { "tex" }
			},
		})
	end,
}
