return {
    "kikofmas/grammarous.nvim",
    config = function ()
        local keymap = vim.keymap
        local opts = require('utils').opts

        keymap.set('n', '<leader>sl', ':GrammarousCheck<CR>', opts('LanguageTool Spell Checker'))
        keymap.set('n', '<leader>sc', ':GrammarousCheck --comments-only<CR>', opts('LanguageTool Spell Checker, only comments'))
        keymap.set('n', '<leader>ss', ':set spell<CR>', opts('Start built-in spell checker'))
        keymap.set('n', '<leader>sn', ':set nospell<CR>', opts('Stop spell checker'))
    end
}
