return {
	-- literally the name, quick term toggle
	"akinsho/toggleterm.nvim",
	version = "*",
	config = function()
		require("toggleterm").setup({
			insert_mappings = false,
			terminal_mappings = false,
			open_mapping = "<leader>t",
			direction = "float",
			float_opts = {
				border = "curved",
			},
		})
		vim.keymap.set("t", "<S-Esc>", [[<cmd>ToggleTerm<CR>]], {}) -- close terminal wih esc
	end,
}
