return {
	-- syntax highlighting
	"nvim-treesitter/nvim-treesitter",
	build = ":TSUpdate",
	config = function()
		require("nvim-treesitter.configs").setup({
			ensure_installed = {
                "asm",
				"bash",
				"c",
				"cpp",
                "css",
                "html",
				"hyprlang",
                "java",
				"javascript",
				"json",
                "jsonc",
                -- "latex",
				"lua",
                "markdown",
                "nginx",
                "php",
				"python",
                "rasi",
                "requirements",
                "ruby",
                "rust",
                "scss",
                "sql",
                "svelte",
                "swift",
                "toml",
				"typescript",
                "tsx",
                "verilog",
                "vue",
                "xml",
                "yaml",
			},
			sync_install = false,

			highlight = {
				enable = true,
                disable = { "tex" }
			},
		})
	end,
}
