return {
    'uga-rosa/ccc.nvim',
    config = function ()
        local ccc = require( 'ccc' );
        vim.opt.termguicolors = true;
        ccc.setup( {
            highlighter = {
                auto_enable = true,
                lsp = true
            }
        } )

        local keymap = vim.keymap
        keymap.set( 'n', '<leader>cp', '<cmd>CccPick<CR>', { noremap = true, silent = true, desc = "Toggle colour picker" } )
    end
}

-- return {
--     -- colorizes colors in code
--     'NvChad/nvim-colorizer.lua' ,
--     --cmd = 'ColorizerToggle',
--     config = function ()
--         require("colorizer").setup {
--             filetypes = { "*" },
--             user_default_options = {
--                 RGB = true, -- #RGB hex codes - #FCE
--                 RRGGBB = true, -- #RRGGBB hex codes - #F5C2E7
--                 names = true, -- "Name" codes - lightpink
--                 RRGGBBAA = true, -- #RRGGBBAA hex codes - #F5C2E7CC
--                 AARRGGBB = true, -- 0xAARRGGBB hex codes - 0xCCF5C2E7
--                 rgb_fn = true, -- CSS rgb() and rgba() functions - rgba(245,194,231,0.8)
--                 hsl_fn = true, -- CSS hsl() and hsla() functions - hsl(0.88,0.72,0.86)
--                 css = true, -- Enable all CSS features: rgb_fn, hsl_fn, names, RGB, RRGGBB
--                 css_fn = true, -- Enable all CSS *functions*: rgb_fn, hsl_fn
--                 -- Available modes for `mode`: foreground, background,  virtualtext
--                 mode = "background", -- Set the display mode.
--                 -- Available methods are false / true / "normal" / "lsp" / "both"
--                 -- True is same as normal
--                 tailwind = false, -- Enable tailwind colors
--                 -- parsers can contain values used in |user_default_options|
--                 sass = { enable = false, parsers = { "css" }, }, -- Enable sass colors
--                 virtualtext = "■",
--                 -- update color values even if buffer is not focused
--                 -- example use: cmp_menu, cmp_docs
--                 always_update = false
--             },
--             -- all the sub-options of filetypes apply to buftypes
--             buftypes = {},
--         }
--     end,
-- }
