return {
    "kikofmas/grammarous.nvim",
    config = function ()
        local keymap = vim.keymap
        local opts = require('utils').opts

        keymap.set('n', '<leader>sr', ':GrammarousCheck<CR>', opts('LanguageTool Spell Checker'))
        keymap.set('n', '<leader>sc', ':GrammarousCheck --comments-only<CR>', opts('LanguageTool Spell Checker, only comments'))
        keymap.set('n', '<leader>ss', ':set spell<CR>', opts('Start built-in spell checker'))
        keymap.set('n', '<leader>sn', ':set nospell<CR>', opts('Stop spell checker'))
        keymap.set('n', '<leader>slu', ':set spelllang=en_us<CR>', opts('Set spell checker lang to en_US'))
        keymap.set('n', '<leader>sle', ':set spelllang=en_gb<CR>', opts('Set spell checker lang to en_GB'))
        keymap.set('n', '<leader>slc', ':set spelllang=de_ch<CR>', opts('Set spell checker lang to de_CH'))
    end
}
